ranges::ref_fn Struct Reference
Functional

## Public Member Functions

template<typename T >
auto | operator() (T &t) const -> reference_wrapper< T > requires(!is_reference_wrapper_v< T >)
template<typename T >
reference_wrapper< T > | operator() (reference_wrapper< T > t) const
template<typename T >
reference_wrapper< T > | operator() (std::reference_wrapper< T > t) const

## Member Function Documentation

## operator()() [1/2]

template<typename T >

reference_wrapper<T> ranges::ref_fn::operator() | ( | reference_wrapper< T > | t | ) | const

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.

## operator()() [2/2]

template<typename T >

reference_wrapper<T> ranges::ref_fn::operator() | ( | std::reference_wrapper< T > | t | ) | const

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.